<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssemblyName>SolarPower</AssemblyName>
    <RootNamespace>SolarPower</RootNamespace>
    <UserSecretsId>9c9a93c3-c4f5-4cc2-92ea-0ae0a51be5d3</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Logs\**" />
    <Compile Remove="Views\NewFolder\**" />
    <Content Remove="Logs\**" />
    <Content Remove="Views\NewFolder\**" />
    <EmbeddedResource Remove="Logs\**" />
    <EmbeddedResource Remove="Views\NewFolder\**" />
    <None Remove="Logs\**" />
    <None Remove="Views\NewFolder\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Repository\Interface\Interface.cs" />
    <Compile Remove="Repository\Interface\IOperation.cs" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="Views\Operation\_OperationPlanCreate.cshtml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Dapper" Version="2.0.90" />
    <PackageReference Include="Microsoft.ApplicationInsights.AspNetCore" Version="2.15.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="3.1.17" />
    <PackageReference Include="MySql.Data" Version="8.0.26" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="NPOI" Version="2.5.3" />
    <PackageReference Include="Quartz" Version="3.3.2" />
    <PackageReference Include="Serilog.Extensions.Logging.File" Version="2.0.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.8.2" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\upload\company_logo\" />
    <Folder Include="wwwroot\upload\power_station\boe_file\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\css\adminlte.min.css.map" />
    <None Include="wwwroot\css\app.bundle.css.map_" />
    <None Include="wwwroot\css\datagrid\datatables\datatables.bundle.css.map_" />
    <None Include="wwwroot\css\fa-brands.css.map_" />
    <None Include="wwwroot\css\fa-duotone.css.map_" />
    <None Include="wwwroot\css\fa-light.css.map_" />
    <None Include="wwwroot\css\fa-regular.css.map_" />
    <None Include="wwwroot\css\fa-solid.css.map_" />
    <None Include="wwwroot\css\formplugins\bootstrap-colorpicker\bootstrap-colorpicker.css.map" />
    <None Include="wwwroot\css\formplugins\bootstrap-datepicker\bootstrap-datepicker.css.map" />
    <None Include="wwwroot\css\formplugins\bootstrap-daterangepicker\bootstrap-daterangepicker.css.map" />
    <None Include="wwwroot\css\formplugins\bootstrap-markdown\bootstrap-markdown.css.map" />
    <None Include="wwwroot\css\formplugins\cropperjs\cropper.css.map" />
    <None Include="wwwroot\css\formplugins\dropzone\dropzone.css.map" />
    <None Include="wwwroot\css\formplugins\ion-rangeslider\ion-rangeslider.css.map" />
    <None Include="wwwroot\css\formplugins\nouislider\nouislider.css.map" />
    <None Include="wwwroot\css\formplugins\select2\select2.bundle.css.map" />
    <None Include="wwwroot\css\formplugins\smartwizard\smartwizard.css.map" />
    <None Include="wwwroot\css\formplugins\summernote\summernote.css.map" />
    <None Include="wwwroot\css\json-path-picker\json-path-picker.css.map" />
    <None Include="wwwroot\css\miscellaneous\fullcalendar\fullcalendar.bundle.css.map" />
    <None Include="wwwroot\css\miscellaneous\jqvmap\jqvmap.bundle.css.map" />
    <None Include="wwwroot\css\miscellaneous\lightgallery\lightgallery.bundle.css.map" />
    <None Include="wwwroot\css\miscellaneous\nestable\nestable.css.map" />
    <None Include="wwwroot\css\miscellaneous\reactions\reactions.css.map" />
    <None Include="wwwroot\css\miscellaneous\treeview\treeview.css.map" />
    <None Include="wwwroot\css\notifications\sweetalert2\sweetalert2.bundle.css.map" />
    <None Include="wwwroot\css\notifications\toastr\toastr.css.map" />
    <None Include="wwwroot\css\page-invoice.css.map_" />
    <None Include="wwwroot\css\page-login-alt.css.map_" />
    <None Include="wwwroot\css\skins\skin-master.css.map_" />
    <None Include="wwwroot\css\statistics\c3\c3.css.map" />
    <None Include="wwwroot\css\statistics\chartist\chartist.css.map" />
    <None Include="wwwroot\css\statistics\chartjs\chartjs.css.map" />
    <None Include="wwwroot\css\statistics\dygraph\dygraph.css.map" />
    <None Include="wwwroot\css\theme-demo.css.map_" />
    <None Include="wwwroot\css\themes\cust-theme-1.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-10.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-11.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-12.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-13.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-14.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-15.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-15.css.map_" />
    <None Include="wwwroot\css\themes\cust-theme-2.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-3.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-4.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-5.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-6.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-7.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-8.css.map" />
    <None Include="wwwroot\css\themes\cust-theme-9.css.map" />
    <None Include="wwwroot\css\vendors.bundle.css.map_" />
    <None Include="wwwroot\img\favicon\safari-pinned-tab.svg" />
    <None Include="wwwroot\img\favicon\site.webmanifest" />
    <None Include="wwwroot\img\logo-flat.svg" />
    <None Include="wwwroot\img\logo-gradient.svg" />
    <None Include="wwwroot\img\logo.png_" />
    <None Include="wwwroot\img\logo.svg" />
    <None Include="wwwroot\img\svg\pattern-1.svg" />
    <None Include="wwwroot\img\svg\pattern-2.svg" />
    <None Include="wwwroot\img\svg\pattern-3.svg" />
    <None Include="wwwroot\img\svg\pattern-4.svg" />
    <None Include="wwwroot\js\app.bundle.js" />
    <None Include="wwwroot\js\datagrid\datatables\datatables.bundle.js" />
    <None Include="wwwroot\js\datagrid\datatables\datatables.export.js" />
    <None Include="wwwroot\js\daterangepicker.js" />
    <None Include="wwwroot\js\dependency\moment\moment.js" />
    <None Include="wwwroot\js\formplugins\bootstrap-colorpicker\bootstrap-colorpicker.js" />
    <None Include="wwwroot\js\formplugins\bootstrap-datepicker\bootstrap-datepicker.js" />
    <None Include="wwwroot\js\formplugins\bootstrap-daterangepicker\bootstrap-daterangepicker.js" />
    <None Include="wwwroot\js\formplugins\bootstrap-markdown\bootstrap-markdown.js" />
    <None Include="wwwroot\js\formplugins\cropperjs\cropper.js" />
    <None Include="wwwroot\js\formplugins\dropzone\dropzone.js" />
    <None Include="wwwroot\js\formplugins\inputmask\inputmask.bundle.js" />
    <None Include="wwwroot\js\formplugins\ion-rangeslider\ion-rangeslider.js" />
    <None Include="wwwroot\js\formplugins\nouislider\nouislider.js" />
    <None Include="wwwroot\js\formplugins\select2\select2.bundle.js" />
    <None Include="wwwroot\js\formplugins\smartwizard\smartwizard.js" />
    <None Include="wwwroot\js\formplugins\summernote\summernote.js" />
    <None Include="wwwroot\js\i18n\i18n.js" />
    <None Include="wwwroot\js\image.zoom.js" />
    <None Include="wwwroot\js\jquery.table2excel.min.js" />
    <None Include="wwwroot\js\json-path-picker\json-path-picker.js" />
    <None Include="wwwroot\js\miscellaneous\fullcalendar\fullcalendar.bundle.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\jqvmap.bundle.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.algeria.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.argentina.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.brazil.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.canada.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.europe.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.france.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.germany.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.greece.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.iran.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.iraq.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.russia.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.tunisia.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.turkey.js" />
    <None Include="wwwroot\js\miscellaneous\jqvmap\maps\jquery.vmap.usa.js" />
    <None Include="wwwroot\js\miscellaneous\lightgallery\lightgallery.bundle.js" />
    <None Include="wwwroot\js\miscellaneous\lightgallery\smartvoice.bundle.js" />
    <None Include="wwwroot\js\miscellaneous\nestable\nestable.js" />
    <None Include="wwwroot\js\miscellaneous\treeview\treeview.js" />
    <None Include="wwwroot\js\notifications\sweetalert2\sweetalert2.bundle.js" />
    <None Include="wwwroot\js\notifications\toastr\toastr.js" />
    <None Include="wwwroot\js\site.js" />
    <None Include="wwwroot\js\statistics\c3\c3.js" />
    <None Include="wwwroot\js\statistics\chartist\chartist.js" />
    <None Include="wwwroot\js\statistics\chartjs\chartjs.bundle.js" />
    <None Include="wwwroot\js\statistics\d3\d3.js" />
    <None Include="wwwroot\js\statistics\demo-data\demo-c3.js" />
    <None Include="wwwroot\js\statistics\demo-data\demo-data-dygraph.js" />
    <None Include="wwwroot\js\statistics\dygraph\dygraph.js" />
    <None Include="wwwroot\js\statistics\easypiechart\easypiechart.bundle.js" />
    <None Include="wwwroot\js\statistics\flot\flot.bundle.js" />
    <None Include="wwwroot\js\statistics\peity\peity.bundle.js" />
    <None Include="wwwroot\js\statistics\sparkline\sparkline.bundle.js" />
    <None Include="wwwroot\js\toast.js" />
    <None Include="wwwroot\js\vendors.bundle.js" />
    <None Include="wwwroot\media\sound\bigbox.ogg" />
    <None Include="wwwroot\media\sound\messagebox.ogg" />
    <None Include="wwwroot\media\sound\smallbox.ogg" />
    <None Include="wwwroot\media\sound\voice_alert.ogg" />
    <None Include="wwwroot\media\sound\voice_off.ogg" />
    <None Include="wwwroot\media\sound\voice_on.ogg" />
    <None Include="wwwroot\webfonts\fa-brands-400.svg" />
    <None Include="wwwroot\webfonts\fa-brands-400.woff2" />
    <None Include="wwwroot\webfonts\fa-duotone-900.svg" />
    <None Include="wwwroot\webfonts\fa-duotone-900.woff2" />
    <None Include="wwwroot\webfonts\fa-light-300.svg" />
    <None Include="wwwroot\webfonts\fa-light-300.woff2" />
    <None Include="wwwroot\webfonts\fa-regular-400.svg" />
    <None Include="wwwroot\webfonts\fa-regular-400.woff2" />
    <None Include="wwwroot\webfonts\fa-solid-900.svg" />
    <None Include="wwwroot\webfonts\fa-solid-900.woff2" />
    <None Include="wwwroot\webfonts\nextgen-icons.svg" />
    <None Include="wwwroot\webfonts\nextgen-icons.woff2" />
    <None Include="wwwroot\webfonts\summernote.woff2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\solarApp\solarApp.csproj" />
  </ItemGroup>

</Project>
